Linux dependencies

Home Forums OTMaster Linux dependencies

This topic contains 0 replies, has 1 voice, and was last updated by  LetterModeller 1 week, 6 days ago.

Viewing 1 post (of 1 total)
  • Author
    Posts
  • #919

    LetterModeller
    Keymaster

    It could be the case that to get DTL OTMaster running under a certain Linux distribution, one has to install some dependencies. For example, to run the latest edition of OTM on Ubuntu 18.10 the following libraries are required:

    libjasper1
    libpng12

    These are unfortunately not part anymore of the latest edition of Ubuntu. However, they are available from the Ubuntu repositories for 16.04 LTS:

    https://packages.ubuntu.com/xenial/amd64/libjasper1/download
    https://packages.ubuntu.com/xenial/amd64/libpng12-0/download

    Furthermore it is necessary to install the .ttf fonts from https://dejavu-fonts.github.io/ in /home/ikneu/URW/OTHER_LIBS/QT/qt-everywhere-src-5.10.1/qtbase/lib/fonts for OTMaster. In case of any other DTL/URW tool running unter Ubuntu this would be necessary too, which would mean in /home/lemo/URW/OTHER_LIBS/QT/qt-everywhere-enterprise-src-5.9.1/qtbase/lib/ for LeMo

Viewing 1 post (of 1 total)

You must be logged in to reply to this topic.